package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.domain.po.WxAppinfo;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.List;

public interface WxAppinfoService {

	/**
     * 根据实体查询分页列表
     *
     * @param record
     * @param pageIndex
     * @param pageSize
     * @return
     */
	PageInfo<WxAppinfo> listAsPage(WxAppinfo record, Integer pageIndex, Integer pageSize);

    /**
     * 根据实体查询分页列表
     *
     * @param record
     * @return
     */
    List<WxAppinfo> getList(WxAppinfo record);
	
	/**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    WxAppinfo getById(Long id);

    /**
     * 根据appId获得实体
     *
     * @param appId
     * @return
     */
    WxAppinfo getByAppId(String appId);

    /**
     * 获取c端小程序信息
     * @return
     */
    WxAppinfo getCAppInfo(String tenantId);
    
        /**
     * 保存或更新实体
     *
     * @param record
     */
    void saveOrUpdate(WxAppinfo record);

    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(Long id);

}
